For the complete documentation index, see llms.txt. This page is also available as Markdown.

List customers

Returns a paginated list of customers.

get
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Query parameters
filter[externalId]stringOptional

Filter by the Shopify customer ID

perPageinteger · min: 1 · max: 100Optional

Results per page (1–100).

fields[customers]stringOptional

Available values are name, firstName, lastName, externalId, email, registeredAt, approvedAt, bannedAt, createdAt. You can include multiple values by separating them with a comma.

sortstringOptional

Sort by field. Prefix with - for descending order. Available values: createdAt, -createdAt.

Responses
200

Paginated set of CustomerResource

application/vnd.api+json
get/customers
GET /v1/customers HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "91x2qv89d151xe74aydt6m562w",
      "type": "customers",
      "attributes": {
        "name": "Lloyd Boehm",
        "firstName": "Lloyd",
        "lastName": "Boehm",
        "externalId": "1326820289",
        "email": "missouri.schneider@example.net",
        "registeredAt": "2026-07-22T18:29:55.000000Z",
        "approvedAt": "2026-07-22T18:29:55.000000Z",
        "bannedAt": null,
        "createdAt": "2026-07-29T18:29:55.000000Z"
      }
    }
  ],
  "meta": {
    "currentPage": 1,
    "from": null,
    "lastPage": 1,
    "perPage": 1,
    "to": null,
    "total": 1
  }
}

Last updated